module CountriesPriorities
  def top_priority_country_by_country_code(country_code)
    cp = cps[country_code.to_i]
    cp&.first
  end

  def cps
    @_dict ||= begin
                 ppp = File.expand_path '../dicts/countries_priorities.yml', File.dirname(__FILE__)
                 YAML.load_file(ppp)['countries_priorities']
               end
  end
end
